#keep level 2 fight #2
from eventAPI import *
from APIUtils import *

rtKeep2Flag2=0

def fireEvent(e):
   global rtKeep2Flag2
   rtKeep2Flag2 = getTag(e, "rtKeep2Flag2")
   if (rtKeep2Flag2 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag2 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Dactyl", 1, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag2
   rtKeep2Flag2 = 1
   setTag(e, "rtKeep2Flag2", rtKeep2Flag2)
